## qtbase-opensource-src 5.15.13+dfsg

=== tests/auto/cmake/test_interface/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.11)

project(test_interface)

find_package(Qt5Widgets)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(test_interface_exe WIN32 main.cpp mainwindow.cpp)

# No need to specify include directories, compile definitions, the PIC flag, or to
# link explicitly to Qt5::WinMain.
target_link_libraries(test_interface_exe Qt5::Widgets)

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test.cpp"
    "
#include <QString>
#include <QWidget>

int main(int,char**) { QWidget w; w.show(); return 0; }
"
)

# Fix try_compile to inherit the parent configuration.
set(CMAKE_TRY_COMPILE_CONFIGURATION "${CMAKE_BUILD_TYPE}")

# The try_compile works because Qt5::Widgets is listed in the LINK_LIBRARIES,
# which causes the includes, defines and appropriate PIC flag to be used.
try_compile(_TRY_COMPILE_RES "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test"
    "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test.cpp"
    LINK_LIBRARIES Qt5::Widgets
    OUTPUT_VARIABLE TC_OV
)

if (NOT _TRY_COMPILE_RES)
    message(SEND_ERROR "The use of try_compile with Qt5::Widgets failed. The output was :\n${TC_OV}")
endif()

=== debian/changelog ===
qtbase-opensource-src (5.15.13+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Mar 2024 11:19:11 +0300

qtbase-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from unstable.
    - Acknowledge NMUs, thanks Benjamin Drung and Steve Langasek!
  * New upstream release.
  * Drop patches, included in the new release:
    - image_deletion_order.diff
    - qxcbwindow_set_geometry.diff
    - CVE-2023-24607.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-13.
  * Update debian/copyright.
  * Run wrap-and-sort.
  * Fix Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 14:24:14 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:56:07 +1300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu5) noble; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from Debian unstable.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Mar 2024 01:00:58 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:33:19 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:09:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:02:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 24 Feb 2024 23:33:04 +0300

qtbase-opensource-src (5.15.12+dfsg-3) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7 upload from unstable.
  * Replace pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2024 19:39:14 +0300

qtbase-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Merge 5.15.10+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5.symbols for powerpc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jan 2024 13:23:36 +0300

qtbase-opensource-src (5.15.12+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Dec 2023 10:42:00 +0300

qtbase-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_alt_backtick.diff, included in the new release.
  * Bump ABI version to qtbase-abi-5-15-12.
  * Update debian/copyright for src/3rdparty/libpng.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:48:57 +0300

qtbase-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - openssl_set_options.diff
    - revert_startBlocking_removal.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-11.
  * Update debian/copyright.
  * Override two source-is-missing Lintian warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 18:38:23 +0300

qtbase-opensource-src (5.15.10+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.  Closes: #1065154.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:03:16 +0000

qtbase-opensource-src (5.15.10+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062946

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:11:00 +0000

qtbase-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to fix potential buffer overflow when reading
    KTX images (CVE-2024-25580, closes: #1064053).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:11:37 +0300

qtbase-opensource-src (5.15.10+dfsg-6) unstable; urgency=medium

  * Backport upstream patches to fix incorrect integer overflow check in
    HPack (CVE-2023-51714, closes: #1060694).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 19:53:52 +0300

qtbase-opensource-src (5.15.10+dfsg-5ubuntu1) noble; urgency=medium

  * For now force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on
    start.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Dec 2023 10:40:00 +0000

qtbase-opensource-src (5.15.10+dfsg-5) unstable; urgency=medium

  * Add a patch to support LoongArch (closes: #1054569). Thanks Dandan Zhang!
  * Add a debian/clean file (closes: #1048743).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Nov 2023 11:21:47 +0300

qtbase-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix build with libxkbcommon 1.6.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:07:10 +0300

=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.22.5),
               firebird-dev [linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               libmd4c-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               pkg-kde-tools,
               pkgconf,
               publicsuffix,
               qt5-qmake-bin <cross>,
               unixodbc-dev,
               zlib1g-dev
Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                     qtattributionsscanner-qt5 <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5core5t64
Replaces: libqt5core5a
Breaks: libqt5core5a (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
X-Time64-Compat: libqt5core5a
Provides: qtbase-abi-5-15-13, ${t64:Provides}
Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: qttranslations5-l10n
Suggests: libthai0
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5t64
Provides: ${t64:Provides}
Replaces: libqt5gui5
Breaks: libqt5gui5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme, qtwayland5
Conflicts: libqt5gui5-gles
Suggests: qgnomeplatform-qt5, qt5-image-formats-plugins
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt5-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt5-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt5network5t64
Provides: ${t64:Provides}
Replaces: libqt5network5
Breaks: libqt5network5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5t64
Provides: ${t64:Provides}
Replaces: libqt5opengl5
Breaks: libqt5opengl5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5t64
Provides: ${t64:Provides}
Replaces: libqt5sql5
Breaks: libqt5sql5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [linux-any]
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5sql5-ibase
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Firebird database driver
 This package contains the Firebird plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt5xml5t64
Provides: ${t64:Provides}
Replaces: libqt5xml5
Breaks: libqt5xml5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5t64
Provides: ${t64:Provides}
Replaces: libqt5dbus5
Breaks: libqt5dbus5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5t64
Provides: ${t64:Provides}
Replaces: libqt5test5
Breaks: libqt5test5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5t64
Provides: ${t64:Provides}
Replaces: libqt5concurrent5
Breaks: libqt5concurrent5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5t64
Provides: ${t64:Provides}
Replaces: libqt5widgets5
Breaks: libqt5widgets5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5t64
Provides: ${t64:Provides}
Replaces: libqt5printsupport5
Breaks: libqt5printsupport5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use precompiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
platform_arg = $(platform_os)-g++

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
endif

# Refuse cross building with a qmake whose version differs from the package.
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
endif
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            -no-use-gold-linker \
	            -no-mimetype-database \
	            -no-feature-relocatable \
	            -xcb-native-painting \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't need it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# A user of Qt built by a distro doesn't need to find where the plugins
	# are via CMake, so don't install them.

## qtbase-opensource-src 5.15.14+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32762.diff
    - CVE-2023-33285.diff
    - sql_odbc_fix_unicode_check.diff
  * Rebase sql_odbc_more_unicode_checks.diff.
  * Populate ${libssl:Depends} properly for libqt5network5t64.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 May 2024 17:32:51 +0300

qtbase-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 10:53:43 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
@@ -78,7 +76,7 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -90,7 +88,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-13, ${t64:Provides}
+Provides: qtbase-abi-5-15-14, ${t64:Provides}
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -341,3 +339,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libcups2
+Description: Qt 5 print support module
+ Qt is a cross-platform C++ application framework. Qt's primary feature

## qtbase-opensource-src 5.15.14+p22.04+vstable+git20240826.0223

=== debian/changelog ===
qtbase-opensource-src (5.15.14+p22.04+vstable+git20240826.0223-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Aug 2024 02:23:44 +0000

qtbase-opensource-src (5.15.14+dfsg-1) jammy; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtbase-opensource-src (5.15.13-0neon) UNRELEASED; urgency=medium

  * new version rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 11:07:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               dpkg-dev (>= 1.22.5),
-               firebird-dev [linux-any],
+               dpkg-dev (>= 1.17.14),
+               firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -19,21 +19,22 @@
                libdbus-1-dev,
                libdouble-conversion-dev,
                libdrm-dev [linux-any],
-               libfontconfig-dev,
-               libfreetype-dev,
-               libgbm-dev [linux-any],
-               libgl-dev,
-               libgles-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
+               libgbm-dev [linux-any kfreebsd-any],
+               libgl1-mesa-dev | libgl-dev,
+               libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 1.6.0~),
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
+               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,6 +42,7 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
+               libsystemd-dev,
                libudev-dev [linux-any],
                libvulkan-dev [linux-any],
                libx11-dev,
@@ -67,8 +69,8 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                libzstd-dev,
-               pkg-kde-tools,
-               pkgconf,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
@@ -76,39 +78,41 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
-
-Package: libqt5core5t64
-Replaces: libqt5core5a
-Breaks: libqt5core5a (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-14, ${t64:Provides}
+Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
+Maintainer: Neon CI <neon@kde.org>
+
+Package: libqt5core5a
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: qtbase-abi-5-15-5
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  The QtCore module contains core non-GUI functionality.
 
-Package: libqt5gui5t64
-Provides: ${t64:Provides}
-Replaces: libqt5gui5
-Breaks: libqt5gui5 (<< ${source:Version})
+Package: libqt5gui5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5svg5, qt5-gtk-platformtheme, qtwayland5
+Recommends: libqt5svg5, qt5-gtk-platformtheme
+Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
+        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
+          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Conflicts: libqt5gui5-gles
-Suggests: qgnomeplatform-qt5, qt5-image-formats-plugins
+Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -127,11 +131,25 @@
  This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
 
+Package: qt5-flatpak-platformtheme
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qt5-xdgdesktopportal-platformtheme (= ${binary:Version}),
+         ${misc:Depends}
+Description: Qt 5 Flatpak platform theme (transitional package)
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional package which can safely be removed.
+
 Package: qt5-xdgdesktopportal-platformtheme
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
+Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -139,10 +157,7 @@
  This package provides the XDG Desktop portal platform theme, which makes
  Qt use native file dialogs on Flatpak/Snap based environments.
 
-Package: libqt5network5t64
-Provides: ${t64:Provides}
-Replaces: libqt5network5
-Breaks: libqt5network5 (<< ${source:Version})
+Package: libqt5network5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -154,10 +169,7 @@
  The QtNetwork module offers classes that allow you to write TCP/IP clients and
  servers. It provides classes to make network programming easier and portable.
 
-Package: libqt5opengl5t64
-Provides: ${t64:Provides}
-Replaces: libqt5opengl5
-Breaks: libqt5opengl5 (<< ${source:Version})
+Package: libqt5opengl5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -172,15 +184,12 @@
  OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
  rendering and provides little or no support for GUI programming issues.
 
-Package: libqt5sql5t64
-Provides: ${t64:Provides}
-Replaces: libqt5sql5
-Breaks: libqt5sql5 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [linux-any]
+Package: libqt5sql5
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -244,7 +253,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: linux-any
+Architecture: kfreebsd-any linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -254,10 +263,7 @@
  Install it if you intend to use or write Qt programs that are to access a
  Firebird/InterBase DB.
 
-Package: libqt5xml5t64
-Provides: ${t64:Provides}
-Replaces: libqt5xml5
-Breaks: libqt5xml5 (<< ${source:Version})
+Package: libqt5xml5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -269,10 +275,7 @@
  The QtXml module provides a stream reader and writer for XML documents,
  and C++ implementations of SAX and DOM.
 
-Package: libqt5dbus5t64
-Provides: ${t64:Provides}
-Replaces: libqt5dbus5
-Breaks: libqt5dbus5 (<< ${source:Version})
+Package: libqt5dbus5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -288,10 +291,7 @@
  applications by exporting objects, as well as use services exported by those
  applications by placing calls and accessing properties.
 
-Package: libqt5test5t64
-Provides: ${t64:Provides}
-Replaces: libqt5test5
-Breaks: libqt5test5 (<< ${source:Version})
+Package: libqt5test5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -303,10 +303,7 @@
  The QtTest module provides classes for unit testing Qt applications and
  libraries.
 
-Package: libqt5concurrent5t64
-Provides: ${t64:Provides}
-Replaces: libqt5concurrent5
-Breaks: libqt5concurrent5 (<< ${source:Version})
+Package: libqt5concurrent5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -318,10 +315,7 @@
  The QtConcurrent module contains functionality to support concurrent execution
  of program code.
 
-Package: libqt5widgets5t64
-Provides: ${t64:Provides}
-Replaces: libqt5widgets5
-Breaks: libqt5widgets5 (<< ${source:Version})
+Package: libqt5widgets5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -332,14 +326,10 @@
  .
  The QtWidgets module extends QtGui with C++ widget functionality.
 
-Package: libqt5printsupport5t64
-Provides: ${t64:Provides}
-Replaces: libqt5printsupport5
-Breaks: libqt5printsupport5 (<< ${source:Version})
+Package: libqt5printsupport5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcups2
 Description: Qt 5 print support module
- Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,14 @@
 	extra_configure_opts += -no-pch
 endif
 
-gles2_architectures := armel armhf
+gles2_architectures := armel armhf arm64
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 	extra_configure_opts += -opengl es2
 else
 	extra_configure_opts += -opengl desktop
 endif
 
-ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
+ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
 	extra_configure_opts += -no-eglfs
 endif
 
@@ -53,6 +53,7 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
+mkspec_osmap_kfreebsd = gnukfreebsd
 platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
 platform_arg = $(platform_os)-g++
 
@@ -70,8 +71,6 @@
 else
 	NUMJOBS = 1
 endif
-
-export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -129,6 +128,7 @@
 	            -no-mimetype-database \
 	            -no-feature-relocatable \
 	            -xcb-native-painting \
+	            -journald \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
 	            QMAKE_CFLAGS="$(CFLAGS)" \
@@ -139,6 +139,26 @@
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
 
 	# Extra stuff missed by confclean/distclean
+
+	# Misc. files
+	rm -f \
+	  config.status \
+	  config.tests/.qmake.cache \
+	  examples/dbus/*/Makefile.* \
+	  mkspecs/qconfig.pri \
+	  src/corelib/global/qconfig.* \
+	;
+
+	# Misc. directories
+	rm -rf \
+	  doc-build/ \
+	  doc/html/ \
+	  doc/qch/ \
+	  examples/tools/plugandpaint/plugins/ \
+	  examples/tools/styleplugin/styles/ \
+	  lib/ \
+	  plugins/ \
+	;
 
 	# Leftover dirs
 	find -depth -type d \( -false \
@@ -179,7 +199,13 @@
 	| grep -e application/x-executable \
 	| cut -d ':' -f 1 | xargs rm -f
 
-override_dh_auto_build-indep:
+	# Generated on build
+	rm -vf debian/stamp-makefile-build-tools
+
+	# more leftovers
+	rm -f .device.vars .qmake.vars
+
+override_dh_auto_build-indep: build-arch
 	dh_auto_build -- docs
 
 override_dh_auto_build-arch:
@@ -215,18 +241,3 @@
 
 	# Use multiarched directory for host_bins variable (see #909575)
 	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
-
-	# Remove leftover directories
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
-	  -o -name .moc\* \
-	  -o -name .obj\* \
-	  -o -name .pch \
-	  -o -name .rcc \
-	\) -print0 | xargs -0 rm -rf
-
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-
-	# A user of Qt built by a distro doesn't need to find where the plugins
-	# are via CMake, so don't install them.

## qtbase-opensource-src 5.15.15%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,14 @@
 	extra_configure_opts += -no-pch
 endif
 
-gles2_architectures := armel armhf arm64
+gles2_architectures := armel armhf
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 	extra_configure_opts += -opengl es2
 else
 	extra_configure_opts += -opengl desktop
 endif
 
-ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
+ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
 	extra_configure_opts += -no-eglfs
 endif
 
@@ -53,7 +53,6 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
-mkspec_osmap_kfreebsd = gnukfreebsd
 platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
 platform_arg = $(platform_os)-g++
 
@@ -71,6 +70,8 @@
 else
 	NUMJOBS = 1
 endif
+
+export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -128,7 +129,6 @@
 	            -no-mimetype-database \
 	            -no-feature-relocatable \
 	            -xcb-native-painting \
-	            -journald \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
 	            QMAKE_CFLAGS="$(CFLAGS)" \
@@ -139,26 +139,6 @@
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
 
 	# Extra stuff missed by confclean/distclean
-
-	# Misc. files
-	rm -f \
-	  config.status \
-	  config.tests/.qmake.cache \
-	  examples/dbus/*/Makefile.* \
-	  mkspecs/qconfig.pri \
-	  src/corelib/global/qconfig.* \
-	;
-
-	# Misc. directories
-	rm -rf \
-	  doc-build/ \
-	  doc/html/ \
-	  doc/qch/ \
-	  examples/tools/plugandpaint/plugins/ \
-	  examples/tools/styleplugin/styles/ \
-	  lib/ \
-	  plugins/ \
-	;
 
 	# Leftover dirs
 	find -depth -type d \( -false \
@@ -199,13 +179,7 @@
 	| grep -e application/x-executable \
 	| cut -d ':' -f 1 | xargs rm -f
 
-	# Generated on build
-	rm -vf debian/stamp-makefile-build-tools
-
-	# more leftovers
-	rm -f .device.vars .qmake.vars
-
-override_dh_auto_build-indep: build-arch
+override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_build-arch:
@@ -241,3 +215,18 @@
 
 	# Use multiarched directory for host_bins variable (see #909575)
 	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
+
+	# Remove leftover directories
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
+	  -o -name .moc\* \
+	  -o -name .obj\* \
+	  -o -name .pch \
+	  -o -name .rcc \
+	\) -print0 | xargs -0 rm -rf
+
+	# Remove libtool-like files
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+	# A user of Qt built by a distro doesn't need to find where the plugins
+	# are via CMake, so don't install them.
